Subject: Re: TOE brain dump

From: Larry McVoy <[email-masked]>
Date: Sun, 3 Aug 2003 16:44:19 -0700

On Sun, Aug 03, 2003 at 02:21:12PM -0700, David Lang wrote:
> if your 8-way opteron database box is already the bottleneck for your
> system you will have to spend a LOT of money to get anything that gives
> you more available processing power, getting a card to offload any
> processing from the main CPU's can be a win.

I'd like to see data which supports this.  CPUs have gotten so fast and
disk I/O still sucks.  All the systems I've seen are CPU rich and I/O
starved.  The smartest thing you could do would be to get a cheap box
with a GB of ram as a disk cache and make it be a SAN device.  Make
N of those and you have tons of disk space and tons of cache and your
8 way opteron database box is going to work just fine.
-- 
---
Larry McVoy              lm at bitmover.com          http://www.bitmover.com/lm